class BugToOsp < ActiveRecord::Base
  # attr_accessible :title, :body
  belongs_to :open_source_project, :foreign_key => "osp_id"
  belongs_to :bug, :class_name => 'RelativeMemo', :foreign_key => "relative_memo_id"
  validates :osp_id, presence: true
  validates :relative_memo_id, presence: true
  
  scope :visible, lambda {|*args|
    nil
  }
end
