class Share < ActiveRecord::Base
  include Redmine::SafeAttributes
  attr_accessible :created_on, :share_type, :title, :url,:project_id,:user_id, :description
  
  validates_presence_of :project_id
  
  belongs_to :project
  belongs_to :user
  
    safe_attributes 'project_id',
    'user_id',
    'url',
    'title',
    'share_type',
    'crated_on',
    'description'

end
